#!/bin/sh
#
# simple CGI script for transmitting a '.nsb' Not-So-Bad Distribution
#  file with the correct MIME Content-Type over http
# Written by Dave Dykstra <dwd@bell-labs.com> 11 Dec 1996
#
error()
{
ME=`/bin/basename $0`
cat <<!END!
Content-Type: text/html

<HTML>
<HEAD>
<TITLE>
Error from $ME
</TITLE>
<BODY>
<H1>
Error from $ME:
</H1>
<H3>
<P>
$*
</H3>
!END!

exit

}

F=${QUERY_STRING:-}
if [ "$F" = "" ]
then
    error "expected a ? parameter of a '.nsb' Not-So-Bad Distribution file"
fi

case /$F/ in
    //*) error "parameter must be a relative pathname";;
    */../*) error 'parameter may not contain ".." components';;
esac

if [ ! -r "$F" ]
then
    error "cannot read $F"
fi

echo "Content-Type: application/x-nsbd\n"
cat $F
